Page MenuHomePhabricator

Google search form shows up when error happens, even if site isn't Google-searchable
Closed, ResolvedPublic

Description

User story: Jack's organization uses an internal wiki site for documentation. Sometimes, when a database error occurs, Jack sees an error message that suggests a Google search instead. This is very confusing to Jack because:

  1. The wiki Jack uses is internal, which means Google cannot index this wiki. Therefore, a Google search won't help Jack in this scenario.
  2. Jack and other users get scared when they saw this error message because they thought Google indexed their wiki's content, which are not supposed to be public.

Proposed changes

  1. Make an error page that does not include the "Try Search With Google" form.
  2. Add a configuration option to allow MediaWiki to show error pages without the Google form, while keeping the current error page (with Google form) as default option.

Alternatively, #1 can be made into a fully customized error page.
Proposed new error page, to be turned on in MediaWiki configuration:

Benefits

  • Remove redundant suggestion: for those wikis not indexed by Google, their users will only be distracted by this Google form.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 6 2018, 6:03 PM

I agree with the suggestion at T184619#4520676 that the Google search box be removed.

Bawolff added a subscriber: Bawolff.Nov 8 2018, 1:45 PM

Note: this is customizable by editing MediaWiki:googlesearch . But obviously that won't work if your db is broken, as MW can't fetch the message. So I guess one would have to override in an extension.

I also dislike how this is a raw html message.

Msftwikipmey added a comment.EditedNov 8 2018, 11:27 PM

Following the comments at T184619#4520676, we are going to create a pull request with a fix that removes the Google search form.

Change 472693 had a related patch set uploaded (by Juan Osorio (Microsoft); owner: Juan Osorio (Microsoft)):
[mediawiki/core@master] Removes Google web search from exception page

https://gerrit.wikimedia.org/r/472693

Krenair added a subscriber: Krenair.Nov 9 2018, 6:21 PM

Change 472746 had a related patch set uploaded (by Juan Osorio (Microsoft); owner: Juan Osorio (Microsoft)):
[mediawiki/core@master] Removes Google web search from exception page

https://gerrit.wikimedia.org/r/472746

Change 472693 abandoned by Juan Osorio (Microsoft):
Removes Google web search from exception page

Reason:
New change on https://gerrit.wikimedia.org/r/472746

https://gerrit.wikimedia.org/r/472693

Change 472746 merged by jenkins-bot:
[mediawiki/core@master] Removes Google web search from exception page

https://gerrit.wikimedia.org/r/472746

CCicalese_WMF closed this task as Resolved.Nov 13 2018, 4:35 PM
CCicalese_WMF removed a project: Patch-For-Review.

Change 489087 had a related patch set uploaded (by Reedy; owner: Juan Osorio (Microsoft)):
[mediawiki/core@REL1_32] Removes Google web search from exception page

https://gerrit.wikimedia.org/r/489087

Change 489089 had a related patch set uploaded (by Reedy; owner: Juan Osorio (Microsoft)):
[mediawiki/core@REL1_31] Removes Google web search from exception page

https://gerrit.wikimedia.org/r/489089

Change 489091 had a related patch set uploaded (by Reedy; owner: Juan Osorio (Microsoft)):
[mediawiki/core@REL1_30] Removes Google web search from exception page

https://gerrit.wikimedia.org/r/489091

Change 489092 had a related patch set uploaded (by Reedy; owner: Juan Osorio (Microsoft)):
[mediawiki/core@REL1_27] Removes Google web search from exception page

https://gerrit.wikimedia.org/r/489092

Change 489091 merged by Reedy:
[mediawiki/core@REL1_30] Removes Google web search from exception page

https://gerrit.wikimedia.org/r/489091

Change 489092 merged by jenkins-bot:
[mediawiki/core@REL1_27] Removes Google web search from exception page

https://gerrit.wikimedia.org/r/489092

Change 489087 merged by jenkins-bot:
[mediawiki/core@REL1_32] Removes Google web search from exception page

https://gerrit.wikimedia.org/r/489087

Change 489089 merged by jenkins-bot:
[mediawiki/core@REL1_31] Removes Google web search from exception page

https://gerrit.wikimedia.org/r/489089